OSXWS/10.11

提供: MacWiki
移動: 案内検索

MacOSX_WorkShop 10.11 (El Capitan) 対応 tree に関する情報

最新バージョン[編集]

  • 10.11-1 (20160701)
    • OSXWS の top directory を変更:OS X が rootless を導入したために /usr/osxws から /opt/osxws に変更
    • emacs 24.5 + inline patch + 等幅フォントを含む OSX 向け安定化パッチ適用済み
    • TeX Live 2016 (as of 20160523)
      • SyncTeX 対応
        • emacs -> Skim: Ctrl-c, s あるいは ⌘+Shift+R
        • Skim -> emacs: ⌘+Shift+マウスクリック
      • TeXShop 3.62
      • LaTeXiT 2.8.0
      • BibDesk 1.6.3
    • gcc 5.3.0
      • コマンド追加:osxws-setup-gcc:llvm と gcc に依存している fftw3, openmpi の切り替えを 行うための alternatives のラッパ
    • OpenFOAM-2.3.1, 3.0+ (alternatives で切り替えて利用)
    • ParaView-4.4.0


方針[編集]

おしらせ[編集]

El Capitan から rootless がデフォルトで設定されており、/usr以下のファイルやディレクトリに制限がかかりました。
この変更に合わせて OSXWS も /usr/osxws から /opt/osxws に root ディレクトリを移動させます。
Yosemite 上で OSXWS/10.9, 10.10 をインストールしている環境を El Capitan に更新すると /usr/osxws が移動させられてしまうので OSXWS を利用できなくなります。

  • インストーラ:「右クリック」で「開く」を選択して起動して下さい。
  • XQuartz-2.7.8 以降をあらかじめインストールしてください。
  • Xcode-7.x をあらかじめインストールしてください。
  • apt-rpm repository が変わりましたので、/usr/osxws/etc/apt/sources.list.d/main.list 内の www.bach-phys.ritsumei を liberty.cc.kyushu-u に全て変更してから apt-get update を実行し直してください。(現在配布のインストーラは対応済みです。)

既知の不具合[編集]

その他[編集]

  • OSXWS をお使いの方は、/Users を独立したヴォリュームに分けている場合も多いと思いますので、こちらにもメモしておきます。

ElCapitan で /Users を別ヴォリュームにしてリンクを張っていると、"AMD-Action:authenticate:SP"のエラーが出てApp Store 経由でのソフトの更新ができなくなります。
その場合は、/Users/Shared ディレクトリをメインのヴォリュームに作り直してください。

開発メモ[編集]

Xcode[編集]

  • Command Line Tools は terminal で以下のコマンドを実行してインストールする。
$ xcode-select --install
$ /usr/bin/gcc -v
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include/c++/4.2.1
Apple LLVM version 7.0.0 (clang-700.0.72)
Target: x86_64-apple-darwin15.0.0
Thread model: posix
$ /usr/bin/clang -v
Apple LLVM version 7.0.0 (clang-700.0.72)
Target: x86_64-apple-darwin15.0.0
Thread model: posix

autotools[編集]

glibtool, autoconf, automake 相変わらずない (Xcode-4.3から)

言語、バージョン管理、DB[編集]

$ /usr/bin/svn --version
svn, version 1.7.20 (r1667490)
   compiled Aug 17 2015, 15:24:52

Copyright (C) 2014 The Apache Software Foundation.
This software consists of contributions made by many people; see the NOTICE
file for more information.
Subversion is open source software, see http://subversion.apache.org/

The following repository access (RA) modules are available:

* ra_neon : Module for accessing a repository via WebDAV protocol using Neon.
  - handles 'http' scheme
  - handles 'https' scheme
* ra_svn : Module for accessing a repository using the svn network protocol.
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme
* ra_serf : Module for accessing a repository via WebDAV protocol using serf.
  - handles 'http' scheme
  - handles 'https' scheme

$ /usr/bin/git --version
git version 2.3.8 (Apple Git-58)
$ /usr/bin/perl -v

This is perl 5, version 18, subversion 2 (v5.18.2) built for darwin-thread-multi-2level
(with 2 registered patches, see perl -V for more detail)

Copyright 1987-2013, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl".  If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.

$ /usr/bin/python --version
Python 2.7.10
$ /usr/bin/ruby -v
ruby 2.0.0p645 (2015-04-13 revision 50299) [universal.x86_64-darwin15]
$ /usr/bin/sqlite3 -version
3.8.10.2 2015-05-20 18:17:19 2ef4f3a5b1d1d0c4338f8243d40a2452cc1f7fe4

その他[編集]

議論と要望[編集]

OSXWS 10.11 に対する要望などが御座いましたらコメントを戴ければ幸いです。 議論の上、必要であれば採用させて頂きます。

コメント: 


  • OSXWS 10.11 をインストールしようとしたところ、http://www.bach-phys.ritsumei.ac.jp にアクセスできず、インストールに失敗します。 --133.6.48.64 2016年12月5日 (月) 16:02 (JST)
    • ご連絡をありがとうございます。上の欄に記しました通り、bach-phys.ritsumei から liberty.cc.kyushu-u に apt-rpm tree を変更しました。それに伴い10月26日から配布しているインストーラ 10.11.2 では対応させております。インストーラのバージョンをご確認ください。--利用者:Tkoba


  • 申し訳ありません。 --133.75.135.219 2016年10月24日 (月) 21:56 (JST)
    • ご連絡をありがとうございます。早速管理者に連絡いたしました。そろそろサーバを九大に移そうと思います。--利用者:Tkoba
    • apt-rpm repository を九大に移しました。--利用者:Tkoba

過去の議論[編集]

10.11-1 公開以前の議論はプロジェクトの「過去の議論」へ移動しました。